GUI tool for running Masternode with Trezor

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
Can I just say though, when voting there is a dialog with the options "Cancel" and "Yes". It says "Yes" even when I'm voting No! :-D Maybe it should be "Cancel" and "OK"?
Changed to "OK" in the upcoming v0.9.28 as you suggested.
 

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
DashMasternodeTool v0.9.28 released
Binaries: https://github.com/Bertrand256/dash-masternode-tool/releases/tag/v0.9.28

Changes:
- New: UI dark mode option independent of the OS settings.
- New: toolbar icons with enhanced visual consistency (kudos to Doeke Koedijk for creating them).
- New: possibility to use keypad when entering PIN for Trezor devices.
- Fixed support for macOS dark theme.
- Fixed an issue of the "Masternode status details" option disappearing after its usage.
- Fixed several other, minor visual issues.

I've been asked a few times to implement dark mode in the app UI. From now on it is possible to change the theme to dark, even on systems that do not support it natively like macOS. To enable it, open the settings dialog, go to the "Miscellaneous" tab and check the "Use UI dark mode" option.

Here is a preview:
dark-mode-custom.png


On macOS, you can now also use a native dark theme, but it looks a bit different that this multi-os solution. To use the native macOS theme, uncheck te configuration option mentioned above.
 

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
BTW, currently I have some issues with "suzy" RPC node.
 

GrandMasterDash

Grizzled Member
Masternode Owner/Operator
Jul 12, 2015
3,294
1,370
1,183
Error:

"Couldn't read governance info from the Dash network. Some features may not work correctly because of this. Details: unsupported operand type(s) for /: 'NoneType' and 'int'"

Also, startup time is a bit slow. Can maybe add a splash screen during startup?
 

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
Also, startup time is a bit slow. Can maybe add a splash screen during startup?
The executable is based on pyInstaller and is basically a self-extracting zip archive. Most of the application start time is used to unpack the archive. Only after this, anything can be run, including for example a splash screen. To solve this problem, it is necessary to use different approach to prepare executable version. I will think about it.
 
  • Like
Reactions: GrandMasterDash

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
Error:
"Couldn't read governance info from the Dash network. Some features may not work correctly because of this. Details: unsupported operand type(s) for /: 'NoneType' and 'int'"
Can you post here a few lines from the app's log file containing the error stack trace?
They should start with something like this: "Traceback (most recent call last):"
 

GrandMasterDash

Grizzled Member
Masternode Owner/Operator
Jul 12, 2015
3,294
1,370
1,183
Can you post here a few lines from the app's log file containing the error stack trace?

They should start with something like this: "Traceback (most recent call last):"

ERROR|dmt.main|Dummy-1|app_main_view_wdg.py|refresh_status_thread|-342: non-JSON HTTP response with '521 ' from server

Traceback (most recent call last):

File "app_main_view_wdg.py", line 858, in refresh_status_thread

File "dashd_intf.py", line 441, in catch_timeout_wrapper

File "dashd_intf.py", line 1290, in get_masternodelist

File "dashd_intf.py", line 1192, in _read_protx_list

File "bitcoinrpc/authproxy.py", line 139, in __call__

File "bitcoinrpc/authproxy.py", line 186, in _get_response

bitcoinrpc.authproxy.JSONRPCException: -342: non-JSON HTTP response with '521 ' from server


...


ERROR|dmt.proposals|Dummy-2|proposals_dlg.py|read_proposals_from_network|Exception wile reading proposals from Dash network.

Traceback (most recent call last):

File "proposals_dlg.py", line 869, in read_proposals_from_network

File "dashd_intf.py", line 441, in catch_timeout_wrapper

File "dashd_intf.py", line 1477, in gobject

File "bitcoinrpc/authproxy.py", line 139, in __call__

File "bitcoinrpc/authproxy.py", line 179, in _get_response

File "http/client.py", line 1334, in getresponse

http.client.ResponseNotReady: Idle


...


ERROR|dmt.main|Dummy-1|app_main_view_wdg.py|refresh_status_thread|unsupported operand type(s) for /: 'NoneType' and 'float'

Traceback (most recent call last):

File "app_main_view_wdg.py", line 976, in refresh_status_thread

TypeError: unsupported operand type(s) for /: 'NoneType' and 'float'


...


ERROR|dmt.proposals|Dummy-2|proposals_dlg.py|read_data_thread|Exception while reading data.

Traceback (most recent call last):

File "proposals_dlg.py", line 1383, in read_data_thread

File "proposals_dlg.py", line 869, in read_proposals_from_network

File "dashd_intf.py", line 441, in catch_timeout_wrapper

File "dashd_intf.py", line 1477, in gobject

File "bitcoinrpc/authproxy.py", line 139, in __call__

File "bitcoinrpc/authproxy.py", line 179, in _get_response

File "http/client.py", line 1334, in getresponse

http.client.ResponseNotReady: Idle


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_governance_data|Exception while reading governance info.

Traceback (most recent call last):

File "proposals_dlg.py", line 1106, in read_governance_data

TypeError: unsupported operand type(s) for /: 'NoneType' and 'int'


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|apply_values|'>=' not supported between instances of 'float' and 'NoneType'

Traceback (most recent call last):

File "proposals_dlg.py", line 257, in apply_values

File "proposals_dlg.py", line 1143, in find_superblocks_for_timestamp

TypeError: '>=' not supported between instances of 'float' and 'NoneType'


...


ERROR|dmt.proposals|MainThread|proposals_dlg.py|display_proposals_data|Exception occurred while displaying proposals.

Traceback (most recent call last):

File "proposals_dlg.py", line 1894, in display_proposals_data

File "proposals_dlg.py", line 767, in display_budget_summary

TypeError: an integer is required (got type NoneType)


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_data_thread|Exception while saving proposals to db.

Traceback (most recent call last):

File "proposals_dlg.py", line 1894, in display_proposals_data

File "proposals_dlg.py", line 767, in display_budget_summary

TypeError: an integer is required (got type NoneType)


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

File "proposals_dlg.py", line 1352, in read_data_thread

File "wnd_utils.py", line 202, in call_in_main_thread

File "wnd_utils.py", line 437, in call_in_main_thread

File "wnd_utils.py", line 562, in __call_in_main_thread

File "wnd_utils.py", line 429, in fun_call_signalled

File "proposals_dlg.py", line 1349, in disp

File "proposals_dlg.py", line 1900, in display_proposals_data

Exception: Error occurred while displaying proposals: an integer is required (got type NoneType)


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_data_thread|Exception while retrieving proposals data.

Traceback (most recent call last):

File "proposals_dlg.py", line 1367, in read_data_thread

File "wnd_utils.py", line 202, in call_in_main_thread

File "wnd_utils.py", line 437, in call_in_main_thread

File "wnd_utils.py", line 562, in __call_in_main_thread

File "wnd_utils.py", line 429, in fun_call_signalled

File "proposals_dlg.py", line 767, in display_budget_summary

TypeError: an integer is required (got type NoneType)


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_proposals_from_network|Error while processing proposal data. Proposal hash: ?

Traceback (most recent call last):

File "proposals_dlg.py", line 887, in read_proposals_from_network

AttributeError: 'int' object has no attribute 'get'


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_proposals_from_network|Error while processing proposal data. Proposal hash: ?

Traceback (most recent call last):

File "proposals_dlg.py", line 887, in read_proposals_from_network

AttributeError: 'decimal.Decimal' object has no attribute 'get'


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_proposals_from_network|Exception wile reading proposals from Dash network.

Traceback (most recent call last):

File "proposals_dlg.py", line 1075, in read_proposals_from_network

Exception: Errors while processing proposals data. Look into the log file for details.


...


ERROR|dmt.proposals|Dummy-3|proposals_dlg.py|read_data_thread|Exception while reading data.

Traceback (most recent call last):

File "proposals_dlg.py", line 1383, in read_data_thread

File "proposals_dlg.py", line 1075, in read_proposals_from_network

Exception: Errors while processing proposals data. Look into the log file for details.
 

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
DashMasternodeTool v0.9.29 released
Binaries: https://github.com/Bertrand256/dash-masternode-tool/releases/tag/v0.9.29

Changes:
  • Fixed the "name 'fg_color' is not defined" error in the wallet tx confirmation dialog.
  • Improving visibility of hyperlinks in dark mode (will be continued in several other dialogs).
  • Updating dockerfile (Ubuntu based) for building the app.
 

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC

strophy

Administrator
Dash Core Group
Dash Support Group
Feb 13, 2016
791
517
163
This is really high quality documentation, thank you! I look forward to trying out the Ansible script soon...
 
  • Like
Reactions: AgnewPickens

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
This is really high quality documentation, thank you! I look forward to trying out the Ansible script soon...
I had to redeem myself a bit for the time when the documentation was out of date :).
Your feedback is very valuable to me. Thanks.
 
  • Like
Reactions: AgnewPickens

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
DashMaternodeTool v0.9.31 released
Binaries: https://github.com/Bertrand256/dash-masternode-tool/releases/tag/v0.9.31

This is a service release containing a workaround for an issue with Ledger devices reported by DMT as a 'read error', caused by the latest Ledger on-device app versions (2.0.4).

If you don't use Ledger devices, you don't need to download this version because it doesn't bring anything new besides the mentioned fix. As for the source code, the change has been made in a separate branch because I have some unfinished changes in the master branch. The topic was important enough that I decided to make an exception to the normal procedure.
 

europound

Member
Oct 22, 2016
123
1
68
72
what stops you from stealing private keys and all crypto?
and you are not even a masternode once.
who audited and certified you?
 

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
what stops you from stealing private keys and all crypto?
and you are not even a masternode once.
who audited and certified you?
What stops me (aside from the fact that I don't want to get into competition with governments) are the principles I live by, specifically not doing anyone any harm to anyone.
What keeps YOU from being robbed is your attention: if you read carefully what is displayed on your hardware wallet and don't confirm any suspicious actions, there is no real possibility of stealing your cryptocurrencies.
 

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
DashMaternodeTool v0.9.32 released
Binaries: https://github.com/Bertrand256/dash-masternode-tool/releases/tag/v0.9.32

Fixed
- Adaptation to v18 of the Dash RPC interface, resolving DMT error "An error occurred while sending
transaction: -8: Second argument must be numeric (maxfeerate)..."
.

Changed
- Update versions of the dependent libraries to the latest supported ones.
 

obiwan-kenobi

New Member
Jul 19, 2016
10
3
3
34
Hi,
am I the only one who gets this error?
Using Ubuntu 22.04 with all the latest updates.

I get this only with DMT 0.9.32. Version 0.9.31 works fine. Any ideas?
Screenshot from 2022-09-07 23-02-04.png
 

Bertrand256

Active Member
Feb 13, 2017
264
328
123
Dash Address
XwZzf7yqYoUBnDFqE7r3zuNmpwKo1CYLMC
Hi,
am I the only one who gets this error?
Using Ubuntu 22.04 with all the latest updates.
I get this only with DMT 0.9.32. Version 0.9.31 works fine. Any ideas?
I am aware of the problem and am working on a solution that will work on all major Ubuntu releases.
 

qwizzie

Grizzled Member
Aug 6, 2014
2,012
1,181
1,183
Hi,
am I the only one who gets this error?
Using Ubuntu 22.04 with all the latest updates.

I get this only with DMT 0.9.32. Version 0.9.31 works fine. Any ideas?View attachment 11366
Not a bad idea for users in general to keep a backup of previous DMT versions, so users will always have something to fall back on.
Specially for those users that don't compile their DMT versions and rely on downloadable executables.